// 'ThemeFlood' is the global object for media theme functions
var ThemeFlood = {};
// Reduce potential conflicts with other scripts on the page
ThemeFlood.jQuery = jQuery.noConflict(true);
var $ThemeFlood = ThemeFlood.jQuery;
// Create a unique object and namespace for theme functions
ThemeFlood.themeFunctions = {};
// Define a closure
ThemeFlood.themeFunctions = (function() {
  // When jQuery is used it will be available as $ and jQuery but only inside the closure
  var jQuery = ThemeFlood.jQuery;
  var $ = jQuery;
  var $ThemeFlood = jQuery.noConflict();

  // ExtraContent functionality
  $ThemeFlood(document).ready(function() {
    var extraContent = (function() {
      var ecValue = 30;
      for (i = 1; i <= ecValue; i++) {
        $ThemeFlood('#myExtraContent' + i + ' script').remove();
        $ThemeFlood('#myExtraContent' + i).appendTo('#extraContainer' + i);
      }
    })();


    // Links with a class of 'newtab' open in new tabs or windows
    $ThemeFlood('a.newtab').append("<span class='newWindowIcon'> <i class='icon-external-link'></i></span>");
    $ThemeFlood('a.newtab').click(function() {
      window.open($(this).attr('href'));
      return false;
    });

    // Mobile menu
    $ThemeFlood("button.hamburger").on("click", function(){
      $ThemeFlood(this).toggleClass('is-active');
      $ThemeFlood('#nav_wrapper').toggleClass('is-active');
    });

    // FreeStyle banners
    $ThemeFlood('#fs').appendTo('#freeStyle');
    $ThemeFlood("img[src$='banner.jpg'], img[src$='Banner.jpg'], img[src$='header.jpg'], img[src$='Header.jpg'], img[src$='freestyle.jpg'], img[src$='Freestyle.jpg'], img[src$='freestyle.jpg'], img[src$='FreeStyle.jpg']").appendTo('#freeStyle');

    // If a touch device is detected, add 'touchDevice' class to the page
    if (/Android|webOS|iPhone|iPad|iPod|BlackBerry/i.test(navigator.userAgent)) {
      $ThemeFlood('body').addClass('isTouchDevice');
    }


    // Function to fade in the back-to-top button on page scroll
    $ThemeFlood(window).scroll(function() {
      if ($ThemeFlood(this).scrollTop() > 500) {
        $ThemeFlood('#backToTopWrapper').fadeIn();
      } else {
        $ThemeFlood('#backToTopWrapper').fadeOut();
      }
    });

  });

})(ThemeFlood.themeFunctions);
